Page MenuHomePhabricator

Disable reading from term_search_key from wb_terms table in beta cluster and testwikidata
Closed, ResolvedPublic

Description

Event Timeline

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptMar 15 2018, 12:47 PM
Ladsgroup renamed this task from Enable reading from term_search_key from wb_terms table in beta cluster to Disable reading from term_search_key from wb_terms table in beta cluster.Mar 15 2018, 9:27 PM

Change 419859 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[operations/mediawiki-config@master] labs: Disable reading from term_search_key from wb_terms table

https://gerrit.wikimedia.org/r/419859

Change 419859 merged by jenkins-bot:
[operations/mediawiki-config@master] labs: Disable reading from term_search_key from wb_terms table

https://gerrit.wikimedia.org/r/419859

Ladsgroup renamed this task from Disable reading from term_search_key from wb_terms table in beta cluster to Disable reading from term_search_key from wb_terms table in beta cluster and testwikidata.Mar 16 2018, 1:59 PM

To match the later migration procedure on Wikidata, I think we should first set something like

$wgWBRepoSettings['useTermsTableSearchFields'] = false;
$wgWBRepoSettings['forceWriteTermsTableSearchFields'] = true;

and only remove the second line later.

Moving back to “In progress” because I’m not sure what’s left to review here right now tbh. (Feel free to revert if I’m wrong :) )

Change 420336 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[operations/mediawiki-config@master] Disable reading wb_terms search fields on testwikidata

https://gerrit.wikimedia.org/r/420336

Meh, implemented the testwikidata part myself, so back to “needs review” we go :)

Change 420336 merged by jenkins-bot:
[operations/mediawiki-config@master] Disable reading wb_terms search fields on testwikidata

https://gerrit.wikimedia.org/r/420336

hoo closed this task as Resolved.Mar 21 2018, 10:36 PM
hoo removed a project: Patch-For-Review.
hoo moved this task from Needs Review to Done on the Wikidata-Ministry-Of-Magic board.

We should still remove the second line (forceWriteTermsTableSearchFields) on testwikidata, should that be a new task?

Change 421269 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[operations/mediawiki-config@master] Remove forceWriteTermsTableSearchFields from testwikidatawiki

https://gerrit.wikimedia.org/r/421269

Change 421269 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove forceWriteTermsTableSearchFields from testwikidatawiki

https://gerrit.wikimedia.org/r/421269

Mentioned in SAL (#wikimedia-operations) [2018-03-22T13:09:39Z] <ladsgroup@tin> Synchronized wmf-config/Wikibase-production.php: [[gerrit:421269|Remove forceWriteTermsTableSearchFields from testwikidatawiki, part I (T189776)]] (duration: 01m 16s)

Mentioned in SAL (#wikimedia-operations) [2018-03-22T13:11:13Z] <ladsgroup@tin> Synchronized wmf-config/Wikibase.php: [[gerrit:421269|Remove forceWriteTermsTableSearchFields from testwikidatawiki, part II (T189776)]] (duration: 01m 15s)